import { WrText } from '../../model/document';
import { LayoutContext } from '../LayoutContext';
/**
 * 文本 Run 布局策略
 * 负责文本的测量和布局（逐字符处理）
 */
type ValueType = string | number | undefined | null;
type WidgetOption = {
    value: any;
    label: string;
};
export declare class TextHandler {
    static getValue(context: LayoutContext, wr: WrText): ValueType;
    static hasValue(value: ValueType): boolean;
    static layout(context: LayoutContext, wr: WrText): void;
    static layoutRun(context: LayoutContext, wr: WrText): void;
    private static addOptionSpacing;
    private static addOptionLabel;
    private static addOptionIcon;
    static layoutWidgetOption(context: LayoutContext, wr: WrText, option: WidgetOption, optionIndex: number): void;
    static layoutWidgetOptions(context: LayoutContext, wr: WrText): void;
    static layoutWidgetLabel(context: LayoutContext, wr: WrText): void;
    static layoutWidgetInput(context: LayoutContext, wr: WrText): void;
    static layoutWidget(context: LayoutContext, wr: WrText): void;
}
export {};
